* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family:
    system-ui,
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    Roboto,
    Oxygen,
    Ubuntu,
    Cantarell,
    "Open Sans",
    "Helvetica Neue",
    sans-serif;
  background-color: #f4f6f9;
  color: #333;
  padding: 15px;
}

hr {
  border: none;
  border-top: 1px solid #555;
}

.container {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

nav {
  display: flex;
  justify-content: space-between;
}

h1 {
  color: #222;
}

#themeBtn {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 45px;
  height: 45px;
  border-radius: 50%;
  font-size: 20px;
  cursor: pointer;
}

form {
  background: white;
  padding: 20px;
  border-radius: 12px;
  box-shadow: 0 3px 12px rgba(0, 0, 0, 0.3);
  display: flex;
  gap: 10px;
  flex-wrap: wrap;
}

i {
  display: flex;
  font-size: 1rem;
  padding: 0px 2.5px;
}

input,
select,
button {
  padding: 12px;
  border-radius: 8px;
  border: 1px solid #ddd;
  font-size: 14px;
}

input {
  flex: 1;
  min-width: 250px;
}

button {
  cursor: pointer;
  transition: 0.2s;
  width: fit-content;
}

button:hover {
  transform: translateY(-1px);
}

#taskContainer {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.task {
  background: white;
  border-radius: 12px;
  padding: 18px;
  box-shadow: 0 3px 12px rgba(0, 0, 0, 0.3);
  border-left: 5px solid #4f46e5;
}

.task-title {
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 8px;
}

.task small {
  display: block;
  margin-bottom: 15px;
  color: #666;
}

.complete-btn,
.edit-btn,
.delete-btn {
  margin-right: 8px;
}

.complete-btn {
  background: #22c55e;
  color: white;
  border: none;
}

.edit-btn {
  background: #f59e0b;
  color: white;
  border: none;
}

.delete-btn {
  background: #ef4444;
  color: white;
  border: none;
}

.completed {
  opacity: 0.7;
  text-decoration: line-through;
  border-left: 5px solid #22c55e;
}

.dark {
  background: #121212;
  color: white;
}

.dark h1 {
  color: white;
}

.dark form,
.dark .task {
  background: #1f1f1f;
  color: white;
}

.dark input,
.dark select {
  background: #2a2a2a;
  color: white;
  border: 1px solid #444;
}

.box {
  border: 1px solid #999;
  padding: 20px;
  margin: 10px 0;
  border-radius: 10px;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.3);
}

.pipeline {
  background: white;
  padding: 15px;
  border-radius: 10px;
  margin: 10px 0;
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.3);
}

.dark .pipeline {
  background: #1f1f1f;
}
